from util import START_DAY, TODAY, PASSED_DAYS, load_invoices, parse_invoices, Participant, populate_eliminated
from operator import attrgetter

print(f"""
```
+================================x
| Welcome to day {PASSED_DAYS} of the      |
|  _     _ _            _        |
| | |__ (_) |_ ___ ___ (_)_ __   |
| | '_ \| | __/ __/ _ \| | '_ \\  |
| | |_) | | || (_| (_) | | | | | |
| |_.__/|_|\__\___\___/|_|_| |_| |
|                                |
|           100k bet!            |
x================================+
```
""")

# run this to sum sats:
#   SELECT SUM(msats) / 1000 FROM "Item" WHERE ("userId" = 19494) or id = 342259;
# last updated: 2024-06-14
prize_pool = 336028.39

participants = [
    Participant("orthwyrm", 260),
    Participant("ekzyis", 420),
    Participant("gnilma", 666),
    Participant("mango", 359),
    Participant("0fje0", 427),
    Participant("nikotsla", 570),
    Participant("Undisciplined", 653),
    Participant("carlosfandango", 501),
    Participant("Lux", 522),
    Participant("davidw", 564),
    Participant("south_korea_ln", 608),
    Participant("CheezeGrater", 418),
    Participant("486DX2", 486),
    Participant("Longtermwizard", 700),
    Participant("Bitman", 810),
    Participant("BitcoinIsTheFuture", 584),
    Participant("Alby", 365),
    Participant("wize123", 584),
    Participant("Radentor", 526),
    Participant("OneOneSeven", 544),
    Participant("LaserStack", 587),
    Participant("grayruby", 655),
    Participant("siggy47", 380),
    Participant("phatom", 440, False),
]
participants = list(sorted(participants, key=attrgetter('day')))
participants = populate_eliminated(participants)

print(f"Date: {TODAY.strftime('%Y-%m-%d')}\n")
print(f"Number of participants: {len(participants)}\n")
print(f"Prize Pool: `{round(prize_pool)} sats`\n")

# add bets to prize pool
for p in participants:
    if p.paid:
        prize_pool += 1000


# print participants table
print("| Nym | Day | Paid | Elimination Date | Eliminated |")
print("| --- | --- | ---- | ---------------- | ---------- |")
for p in participants:
    print(p)

for p in participants:
    if not p.eliminated:
        print(
            f"\nNext elimination: @{p.name} ({p.eliminated_in} days remaining)\n")
        break

print(
    "_Want to participate? Click [here](https://stacker.news/items/363233) for more information._")
